Bug 142001 - cyrusv2.m4 macro has wrong Cyrus-IMAPd LMTP socket path
cyrusv2.m4 macro has wrong Cyrus-IMAPd LMTP socket path
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-12-06 12:48 EST by Alexander Dalloz
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: sendmail-8.13.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-25 14:17:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Dalloz 2004-12-06 12:48:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.7.3)

Description of problem:
$ grep -n "socket" /usr/share/sendmail-cf/mailer/cyrusv2.m4

  --> has to be `/var/lib/imap/socket/lmtp'

$ grep -n lmtpunix /etc/cyrus.conf
26:  lmtpunix   cmd="lmtpd" listen="/var/lib/imap/socket/lmtp" prefork=1

If one wants to use Sendmail with Cyrus-IMAPd by using the cyrusv2
mailer he would need to modify the socket path too.

(For the old cyrus.m4 the path to the devlier binary was corrected,
see #118399)

Still the same with sendmail-cf-8.13.1-2.2.i386.rpm from

Version-Release number of selected component (if applicable):
sendmail-8.13.1-2 sendmail-cf-8.13.1-2

How reproducible:

Steps to Reproduce:
1. see cyrusv2.m4 macro file
2. see cyrus.conf file and directory structure

Actual Results:  Without modification of the socket path Sendmail
fails to connect to the LMTP socket file of Cyrus-IMAPd.

Expected Results:  Porper communication between both applications.

Additional info:
Comment 1 Brent Nordquist 2005-02-10 15:22:28 EST
Work-around is to put this in your .mc file:

define(`CYRUSV2_MAILER_ARGS', `FILE /var/lib/imap/socket/lmtp')dnl

But yes, I found this too in Fedora Core 3; it would be best fixed in the cyrusv2.m4 file in the RPM. Easy 
Comment 2 Petr Krištof 2005-04-26 08:31:12 EDT
This bug is still unfixed in FC-4test2.

Alexander, set attribute Version -> fc4test2, please.
Comment 3 Alexander Dalloz 2005-04-26 11:39:16 EDT
Petr, I followed your suggestion. Thanks for pointing out that the situation is
still sub-optimal with current FC4 Test 2, although Cyrus-IMAPd meanwhile is out
of the Core and went to Extras.
Other than patching the cyrv2.m4 macro file we may go the same road like Postfix
was prepared for use of Cyrus-IMAPd: please see
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=122910#c5. I think
commented entries in the sendmail.mc are a good way to prepare things for users
willing to integrate Sendmail and Cyrus-IMAPd. So I suggest adding in sendmail.mc:

- in define section:
dnl # For using Cyrus-IMAPd as POP3/IMAP server through LMTP delivery uncomment
dnl # the following 2 definitions and activate below in the MAILER section the
dnl # cyrusv2 mailer.
dnl define(`confLOCAL_MAILER', `cyrusv2')dnl
dnl define(`CYRUSV2_MAILER_ARGS', `FILE /var/lib/imap/socket/lmtp')dnl
- at bottom:
dnl MAILER(cyrusv2)dnl
Comment 4 Petr Krištof 2005-04-27 09:58:06 EDT
Your suggestion is good. I vote for it!
Comment 5 Petr Krištof 2005-08-25 13:40:05 EDT
Seems it is fixed in Extras - cyrus-imapd-2.2.12-1.2.fc4

Where sendmail.mc contains:
define(`CYRUSV2_MAILER_ARGS', `FILE /var/lib/imap/socket/lmtp')

We can close this bug, I think.
Comment 6 Petr Krištof 2005-08-25 13:42:09 EDT
Sorry. It is fixed in package sendmail-8.13.4-2 of course.

Note You need to log in before you can comment on or make changes to this bug.